Gnome(1.7.20)

NAME
Gnome - the AfterStep GNOME compliancy module

SYNOPSIS
Gnome [-f config_file] [-v | --version] [-h | --help]

Although Gnome can be run from the command line, it is normally spawned by afterstep in the autoexec file, in the following manner:

	Module	"I"	Gnome

or from within an afterstep menu file by 'Gnome':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Gnome"
	Module "Gnome" Gnome
	MiniPixmap "mini-as.xpm"
To stop the Gnome module, a menu item can be used:

% cat "~/GNUstep/Library/AfterStep/start/Modules/Gnome_Stop"
	KillModuleByName "Stop Gnome" Gnome
	MiniPixmap "mini-as.xpm"

DESCRIPTION
Gnome is a module that provides GNOME compliancy for AfterStep. It translates AfterStep socket messages into GNOME hints and enables GNOME applications to interact with AfterStep as outlined in the GNOME compliant WM specs (which need to be updated by the way). The module has been tested with gnome-libs 1.0.5/gnome-core 1.0.4. More information on GNOME can be obtained at http://www.gnome.org and my page, which has information on how to get GNOME and AfterStep to play together nicely at http://mcss.mcmaster.ca/~rafal/afterstep

OPTIONS

-f config_file
    Use config_file instead of the default configuration file.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
Gnome requires no configuration files, it will run with sensible defaults (4 desks, desks names Desktop 1, Desktop 2 etc). The defaults can be overriden in the (optional) config file. This file will be the one specified by the -f option (if given). Else, the ~/GNUstep/Library/AfterStep/Gnome file will be used if it exists. Else, /usr/local/share/afterstep/Gnome will be used.

CONFIGURATION OPTIONS
Config file is optional, if you run Gnome without one, you will get 4 desks with the GNOME pager, named Desktop 1, Desktop 2 etc. These can be overriden in the config file: *GnomeDeskName SomeDesk Name

*GnomeDeskName SomeOtherDesk Name

*GnomeDeskName My Work Desk This will make GNOME see 3 desks, named, desk 1 - SomeDesk Name, desk 2 - SomeOtherDesk Name, desk 3 - My Work Desk *GnomePages 0|1 toggles virtual pages support on and off, I suggest using 0 at the moment, the gnome pager does not work well with virtual paging.

BUGS
None as far as I know, if you find any please email me.

AUTHOR
Rafal Wierzbicki <rafal@mcss.mcmaster.ca>

SEE ALSO
afterstep(1) Pager(1)